{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Fällig am',
        'columnId': 'faellig_am',
        'ariaLabelId': 'follow-up-at',
        'ariaLabelName': 'follow up at'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Person/Firma',
        'columnId': 'person',
        'ariaLabelId': 'person',
        'ariaLabelName': 'name/company'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Vorgang',
        'columnId': 'vorgang',
        'ariaLabelId': 'occurrence',
        'ariaLabelName': 'Occurrence'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Notiz',
        'columnId': 'notiz',
        'ariaLabelId': 'note',
        'ariaLabelName': 'Note'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path('person_management_occurrence_edit', {'personId': listItem.getPerson().getId(), 'occurrenceId': listItem.getId()}),
                'item': listItem
            } only %}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">
        {{ listItem.getFollowUpAt().format('d.m.Y') }}
        {% if listItem.getFollowUpAt() <= date() %}
            <span class="small material-icons ms-2">
                notifications
            </span>
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">{{ listItem.getPerson().buildShortDisplayName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getOccurrenceType().getName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getNote()|nl2br }}</td>
{% endblock %}
